Public Class Form1
    ' Display a print preview.
    Private Sub btnPreview_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPreview.Click
        ' Set the print preview control's PrintDocument object.
        pviewSimple.Document = pdocSimple

        ' Display the preview.
        ' The PrintDocument object does the real work.
        pviewSimple.ShowDialog()
    End Sub

    ' Print.
    Private Sub btnPrint_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrint.Click
        ' Use the PrintDocument to print.
        pdocSimple.Print()
    End Sub

#Region "Printing Code"
    Private m_NextPage As Integer
    Private m_Font As Font

    ' Prepare to print.
    Private Sub pdlgWrap_BeginPrint(ByVal sender As Object, ByVal e As System.Drawing.Printing.PrintEventArgs) Handles pdocSimple.BeginPrint
        ' Set the next page number.
        m_NextPage = 1

        ' Create the font we will use.
        m_Font = New Font("Times New Roman", 200, FontStyle.Bold, GraphicsUnit.Point)
    End Sub

    ' Clean up.
    Private Sub pdocWrapped_EndPrint(ByVal sender As Object, ByVal e As System.Drawing.Printing.PrintEventArgs) Handles pdocSimple.EndPrint
        ' Dispose of the font.
        m_Font.Dispose()
        m_Font = Nothing
    End Sub

    ' The PrintDocument needs a page. Print the next one.
    Private Sub pdlgWrap_PrintPage(ByVal sender As System.Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles pdocSimple.PrintPage
        ' Draw the page number.
        e.Graphics.DrawString(m_NextPage.ToString, _
            m_Font, Brushes.Black, _
            e.MarginBounds.X, e.MarginBounds.Y)
        m_NextPage += 1

        ' Draw 5 pages.
        e.HasMorePages = (m_NextPage <= 5)
    End Sub
#End Region ' Printing Code
End Class
